/// <reference types="bluebird" />
import { ILogger } from 'the-logger';
import { Promise } from 'the-promise';
import { ManifestPackage } from './manifest-package';
import { K8sManifest, ManifestSource } from './k8s-manifest';
export interface ManifetsLoaderOptions {
    ignoreNonK8s: boolean;
}
export declare class ManifetsLoader {
    private _logger;
    private _manifestPackage;
    private _options;
    constructor(logger: ILogger, manifestPackage: ManifestPackage, options?: Partial<ManifetsLoaderOptions>);
    get manifestPackage(): ManifestPackage;
    load(fileOrPatternOrUrls: string[]): Promise<void>;
    loadFromStream(): import("bluebird")<void>;
    private _loadMany;
    loadSingle(fileOrPatternOrUrl: string, parentSource?: ManifestSource): Promise<K8sManifest[]>;
    private _loadFileOrPattern;
    private _loadFile;
    private _loadUrl;
    private _parseContents;
    private _addManifest;
    private _checkK8sManifest;
    private _makeSearchPattern;
}
//# sourceMappingURL=manifests-loader.d.ts.map